<?php

namespace App\ViewModels\LojaCompra\LojaCompraCartaoCreditoRegistrationViewModel;

use App\Utils\Entity;

class LojaCompraCartaoCreditoRegistrationViewModel extends Entity {
	protected $id_loja;
	protected $id_usuario;
	protected $valor;
	protected $id_loja_tipo_compra;
	protected $data_requisicao;
	protected $hora_requisicao;
	protected $id_status;

	public static function builder(): LojaCompraCartaoCreditoRegistartionViewModelBuilder {

		return new LojaCompraCartaoCreditoRegistartionViewModelBuilder();

	}
	/**
	 * @return mixed
	 */
	public function getIdLoja() {

		return $this->id_loja;
	}


	/**
	 * @return mixed
	 */
	public function getIdUsuario() {

		return $this->id_usuario;
	}


	/**
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;
	}


	/**
	 * @return mixed
	 */
	public function getIdLojaTipoCompra() {

		return $this->id_loja_tipo_compra;
	}


	/**
	 * @return mixed
	 */
	public function getDataRequisicao() {

		return $this->data_requisicao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraRequisicao() {

		return $this->hora_requisicao;
	}


	/**
	 * @return mixed
	 */
	public function getIdStatus() {

		return $this->id_status;
	}


	/**
	 * @param mixed $id_loja
	 */
	public function setIdLoja($id_loja) {

		$this->id_loja = $id_loja;
	}


	/**
	 * @param mixed $id_usuario
	 */
	public function setIdUsuario($id_usuario) {

		$this->id_usuario = $id_usuario;
	}


	/**
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
	}


	/**
	 * @param mixed $id_loja_tipo_compra
	 */
	public function setIdLojaTipoCompra($id_loja_tipo_compra) {

		$this->id_loja_tipo_compra = $id_loja_tipo_compra;
	}


	/**
	 * @param mixed $data_requisicao
	 */
	public function setDataRequisicao($data_requisicao) {

		$this->data_requisicao = $data_requisicao;
	}


	/**
	 * @param mixed $hora_requisicao
	 */
	public function setHoraRequisicao($hora_requisicao) {

		$this->hora_requisicao = $hora_requisicao;
	}


	/**
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status) {

		$this->id_status = $id_status;
	}



}

